Bug 968583 - selftest fails in fips mode
selftest fails in fips mode
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnutls (Show other bugs)
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Nikos Mavrogiannopoulos
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2013-05-29 18:08 EDT by Ondrej Moriš
Modified: 2015-11-10 06:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-10 06:15:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ondrej Moriš 2013-05-29 18:08:23 EDT
Description of problem:

Execution of gnutls selftest fails when the rest of the system is in FIPS 140-2 approved mode (a.k.a. "FIPS mode"). In particular, the following two tests fail:

* cve-2009-1416
* set_pkcs12_cred

It can be seen quite easily that the first one is not "FIPS-friendly", the test uses generation of DSA key of length 512 bits which is too short for FIPS (1024 bits and more are needed), therefore - either the test can be fixed easily by raising the length to 1024, or (if key length is essential for CVE-2009-1416) the test should be skipped. 

As far as I can see, the second test uses some encryption via simple passwords and it fails without any obvious reason with the following errors:

Reading PKCS#12 blob from `pkcs12-decode/client.p12' using password `foobar'.
x509_pkcs12 failed -40: Encryption has failed.
Read file OK
Reading PKCS#12 blob from `pkcs12-decode/pkcs12_2certs.p12' using password `'.
x509_pkcs12 failed -40: Encryption has failed.
Read file OK
Self test `./set_pkcs12_cred' finished with 2 errors

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Boot machine in fips mode [1].
2. Download and build the source package.
3. Execute the self-test ('make check').

[1] https://access.redhat.com/knowledge/solutions/137833

Actual results:

Two tests fail.

Expected results:

All tests pass.

Additional info:

Comment 1 RHEL Product and Program Management 2013-10-13 19:32:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2015-11-10 06:15:57 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.